<?php get_header(); ?>

	<div id="content" class="widecolumn">
        <div style="margin:0 4px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 2px; border:1px solid #DBEEFF; border-width:0 2px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 1px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 1px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="border:1px solid #DBEEFF; border-width:0 3px;">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		
		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><?php the_title(); ?></h2>
<span class="time"><?php the_time('Y-m-d \a\t h:i a') ?></span> <span class="writer"> <?php the_author() ?></span>
			<div class="entry">
				<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				
                       
				<p class="postmetadata alt">
					
						<?php the_tags( '<span class="tags">Tags: ', ', ', '</span>'); ?>
						<br /><span class="category"> <?php the_category(', ') ?></span>
						 <span class="feed"><?php post_comments_feed_link('RSS 2.0'); ?> </span>

						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
				                <span class="trackback"><a href="<?php trackback_url(); ?>" rel="trackback">trackback</a></span> <span class="response"><a href="#respond">leave a response</a></span>

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							You can skip to the end and leave a response. Pinging is currently not allowed.

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							Both comments and pings are currently closed.

						<?php } edit_post_link('<span class="edit">Edit this entry.</span>','',''); ?>

					
				</p>
                              
		</div> 
                <div class="random">
                               
                               <?php if (function_exists('wp_related_posts')) wp_related_posts(""); ?>
			</div>
                <div class="navigation">
			<div class="alignleft"><?php previous_post_link('%link') ?></div>
			<div class="alignright"><?php next_post_link('%link') ?></div>
		</div>
	<?php comments_template(); ?>
        


	<?php endwhile; else: ?>

		<p>Sorry, no posts matched your criteria.</p>

<?php endif; ?>
       
	</div>
        </div>
        
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 1px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 2px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 2px; border:1px solid #DBEEFF; border-width:0 2px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 4px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
</div>
        
<?php get_sidebar(); ?>

<?php get_footer(); ?>
