<?php get_header(); ?>

	<div id="content" class="narrowcolumn">
        <div style="margin:0 4px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 2px; border:1px solid #DBEEFF; border-width:0 2px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 1px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 1px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="border:1px solid #DBEEFF; border-width:0 3px;">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<span class="time"><?php the_time('Y-m-d') ?></span> <span class="writer"> <?php the_author() ?></span>

				<div class="entry">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
				</div>

				<p class="postmetadata"><?php the_tags('<span class="tags">Tags: ', ', ', '</span>'); ?> <span class="category"> <?php the_category(', ') ?> </span>   <span class="response"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span> <span class="edit"><?php edit_post_link('Edit', '', ''); ?></span></p>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>
	</div>
        
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 1px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 1px; border:1px solid #DBEEFF; border-width:0 2px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 2px; border:1px solid #DBEEFF; border-width:0 2px; background:#DBEEFF; height:1px; overflow:hidden;"></div>
	<div style="margin:0 4px; background:#DBEEFF; height:1px; overflow:hidden;"></div>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
